Skip to main content
PATCH
Update secret value or metadata

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Unique identifier of the secret to update

Body

application/json

Supply value, default_available, or both.

default_available
boolean | null

Whether this secret should be exposed by default at task runtime for its scope.

value
string
write-only

Replacement secret value. Omit to preserve the current value.

Minimum string length: 1

Response

Secret updated successfully

default_available
boolean
default:false
required

Whether this personal secret is exposed by default at task runtime. If false, it is only exposed when explicitly selected in task requests.

Example:

false

id
string<uuid>
required

Unique identifier for the secret

Example:

"550e8400-e29b-41d4-a716-446655440000"

masked_value
string
required

Masked representation of the secret value for display purposes. Shows first 3 and last 4 characters with bullets (•) in between.

Example:

"ghp_xx••••••••xxxx"

name
string
required

Secret name (used as environment variable name when injected into agent execution). Should follow UPPER_SNAKE_CASE convention.

Example:

"GITHUB_TOKEN"

created_at
string<date-time>

When the secret was created

created_by_agent
boolean

Indicates whether this secret was automatically created by an AI agent (true) or manually created by the user (false).

Example:

true

updated_at
string<date-time>

When the secret was last updated